library(shiny)
ui <- navbarPage(
  strong("Das Lichtmikroskop"),
  
  tabPanel(
    strong("Lichtmikroskop"),
    titlePanel(h4("Lichtmikroskop")),
    
    br(),
    fluidRow(column(4,
                    mainPanel(
                      img(
                        src = "MikroskopAnsicht2.jpg",
                        height = 702,
                        width = 526
                        
                        
                      )
                    )),
             
             column(4,
                    mainPanel(
                      img(
                        src = "MikroskopAnsicht1.jpg",
                        height = 702,
                        width = 526
                        
                        
                      )
                    ))),
    
    list(tags$head(
      tags$style("body {background-color: #BEBEBE; }")
    ))
  ),
  
  
  ##
  
  tabPanel(
    strong("Versuch"),
    titlePanel(h4(
      "Vermessung der Strukturen auf einem Präparat"
    )),
    
    br(),
    sidebarPanel(
      radioButtons(
        "typeob",
        "Objektiv:",
        c("Objektiv 10/0,22",
          "Objektiv 40/0,65",
          "Objektiv 100/1,25 mit Öl",
          "Objektiv 100/1,25 ohne Öl")
      ),
      
      # #
      
      
      radioButtons(
        inputId = "val",
        "Präparat",
        choices = c("kein",
                    "Objektmikrometerskala",
                    "Schweinelunge")
      )
      
      
    ),
    #
    conditionalPanel(
      "input.typeob=='Objektiv 10/0,22'",
      mainPanel(conditionalPanel("input.val=='kein'",
                                 
                                 ((
                                   img(
                                     src = "MObj10keinPräp.jpg",
                                     height = 665,
                                     width = 499
                                   )
                                 ))))
    ),
    
    conditionalPanel(
      "input.typeob=='Objektiv 10/0,22'",
      mainPanel(conditionalPanel(
        "input.val=='Objektmikrometerskala'",
        
        ((
          img(
            src = "MObj10Mikro.jpg",
            height = 665,
            width = 499
          )
        ))
      ))
    ),
    
    conditionalPanel(
      "input.typeob=='Objektiv 10/0,22'",
      mainPanel(conditionalPanel("input.val=='Schweinelunge'",
                                 
                                 ((
                                   img(
                                     src = "MObj10Präp.jpg",
                                     height = 665,
                                     width = 499
                                   )
                                 ))))
    ),
    #
    conditionalPanel(
      "input.typeob=='Objektiv 40/0,65'",
      mainPanel(conditionalPanel("input.val=='kein'",
                                 
                                 ((
                                   img(
                                     src = "MObj40keinPräp.jpg",
                                     height = 665,
                                     width = 499
                                   )
                                 ))))
    ),
    
    conditionalPanel(
      "input.typeob=='Objektiv 40/0,65'",
      mainPanel(conditionalPanel(
        "input.val=='Objektmikrometerskala'",
        
        ((
          img(
            src = "MObj40Mikro.jpg",
            height = 665,
            width = 499
          )
        ))
      ))
    ),
    
    conditionalPanel(
      "input.typeob=='Objektiv 40/0,65'",
      mainPanel(conditionalPanel("input.val=='Schweinelunge'",
                                 
                                 ((
                                   img(
                                     src = "MObj40Präp.jpg",
                                     height = 665,
                                     width = 499
                                   )
                                 ))))
    ),
    #
    
    conditionalPanel(
      "input.typeob=='Objektiv 100/1,25 mit Öl'",
      mainPanel(conditionalPanel("input.val=='kein'",                                   
                                          ((
                                            img(
                                              src = "MObj100keinPräpmitÖl.jpg",
                                              height = 665,
                                              width = 499
                                            )
                                          ))))
    ),
    
    conditionalPanel(
      "input.typeob=='Objektiv 100/1,25 mit Öl'",
      mainPanel(conditionalPanel(
        "input.val=='Objektmikrometerskala'",
                                          
                                          ((
                                            img(
                                              src = "MObj100MikromitÖl.jpg",
                                              height = 665,
                                              width = 499
                                            )
                                          ))))
    ),
    
    
    conditionalPanel(
      "input.typeob=='Objektiv 100/1,25 mit Öl'",
      mainPanel(conditionalPanel("input.val=='Schweinelunge'",
                                          
                                          ((
                                            img(
                                              src = "MObj100PräpmitÖl.jpg",
                                              height = 665,
                                              width = 499
                                            )
                                          ))))
    ),
    
    #
    
    conditionalPanel(
      "input.typeob=='Objektiv 100/1,25 ohne Öl'",
                       mainPanel(
                         conditionalPanel("input.val=='kein'",
                                          
                                          ((
                                            img(
                                              src = "MObj100keinPräpohneÖl.jpg",
                                              height = 665,
                                              width = 499
                                            )
                                          ))))
    ),
    
    conditionalPanel(
      "input.typeob=='Objektiv 100/1,25 ohne Öl'",
                       mainPanel(
                         conditionalPanel("input.val=='Objektmikrometerskala'",
                                          
                                          ((
                                            img(
                                              src = "MObj100MikroohneÖl.jpg",
                                              height = 665,
                                              width = 499
                                            )
                                          ))))
    ),
    
    conditionalPanel(
      "input.typeob=='Objektiv 100/1,25 ohne Öl'",
                       mainPanel(
                         conditionalPanel("input.val=='Schweinelunge'",
                                          
                                          ((
                                            img(
                                              src = "MObj100PräpohneÖl.jpg",
                                              height = 665,
                                              width = 499
                                            )
                                          ))))
    )
    
    
  )
)

server <- function(input, output) {
  
}

shinyApp(ui = ui, server = server)