library(shiny)
ui <- navbarPage(
  strong("Optical microscope"),
  
  tabPanel(
    strong("Optical microscope"),
    titlePanel(h4("Optical microscope")),
    
    br(),
    fluidRow(column(4,
                    mainPanel(
                      img(
                        src = "MikroskopAnsicht2.jpg",
                        height = 702,
                        width = 526
                        
                        
                      )
                    )),
             
             column(4,
                    mainPanel(
                      img(
                        src = "MikroskopAnsicht1.jpg",
                        height = 702,
                        width = 526
                        
                        
                      )
                    ))),
    
    list(tags$head(
      tags$style("body {background-color: #BEBEBE; }")
    ))
  ),
  
  
  ##
  
  tabPanel(
    strong("Experiment"),
    titlePanel(h4(
      "Measurement of the structures on a specimen"
    )),
    
    br(),
    sidebarPanel(
      radioButtons(
        "typeob",
        "Lens:",
        c("Lens 10/0,22",
          "Lens 40/0,65",
          "Lens 100/1,25 with oil",
          "Lens 100/1,25 without oil")
      ),
      
      # #
      
      
      radioButtons(
        inputId = "val",
        "Specimen",
        choices = c("None",
                    "Microscope scale",
                    "Pork lung")
      )
      
      
    ),
    #
    conditionalPanel(
      "input.typeob=='Lens 10/0,22'",
      mainPanel(conditionalPanel("input.val=='None'",
                                 
                                 ((
                                   img(
                                     src = "MObj10keinPräp.jpg",
                                     height = 665,
                                     width = 499
                                   )
                                 ))))
    ),
    
    conditionalPanel(
      "input.typeob=='Lens 10/0,22'",
      mainPanel(conditionalPanel(
        "input.val=='Microscope scale'",
        
        ((
          img(
            src = "MObj10Mikro.jpg",
            height = 665,
            width = 499
          )
        ))
      ))
    ),
    
    conditionalPanel(
      "input.typeob=='Lens 10/0,22'",
      mainPanel(conditionalPanel("input.val=='Pork lung'",
                                 
                                 ((
                                   img(
                                     src = "MObj10Präp.jpg",
                                     height = 665,
                                     width = 499
                                   )
                                 ))))
    ),
    #
    conditionalPanel(
      "input.typeob=='Lens 40/0,65'",
      mainPanel(conditionalPanel("input.val=='None'",
                                 
                                 ((
                                   img(
                                     src = "MObj40keinPräp.jpg",
                                     height = 665,
                                     width = 499
                                   )
                                 ))))
    ),
    
    conditionalPanel(
      "input.typeob=='Lens 40/0,65'",
      mainPanel(conditionalPanel(
        "input.val=='Microscope scale'",
        
        ((
          img(
            src = "MObj40Mikro.jpg",
            height = 665,
            width = 499
          )
        ))
      ))
    ),
    
    conditionalPanel(
      "input.typeob=='Lens 40/0,65'",
      mainPanel(conditionalPanel("input.val=='Pork lung'",
                                 
                                 ((
                                   img(
                                     src = "MObj40Präp.jpg",
                                     height = 665,
                                     width = 499
                                   )
                                 ))))
    ),
    #
    
    conditionalPanel(
      "input.typeob=='Lens 100/1,25 with oil'",
      mainPanel(conditionalPanel("input.val=='None'",                                   
                                          ((
                                            img(
                                              src = "MObj100keinPräpmitÖl.jpg",
                                              height = 665,
                                              width = 499
                                            )
                                          ))))
    ),
    
    conditionalPanel(
      "input.typeob=='Lens 100/1,25 with oil'",
      mainPanel(conditionalPanel(
        "input.val=='Microscope scale'",
                                          
                                          ((
                                            img(
                                              src = "MObj100MikromitÖl.jpg",
                                              height = 665,
                                              width = 499
                                            )
                                          ))))
    ),
    
    
    conditionalPanel(
      "input.typeob=='Lens 100/1,25 with oil'",
      mainPanel(conditionalPanel("input.val=='Pork lung'",
                                          
                                          ((
                                            img(
                                              src = "MObj100PräpmitÖl.jpg",
                                              height = 665,
                                              width = 499
                                            )
                                          ))))
    ),
    
    #
    
    conditionalPanel(
      "input.typeob=='Lens 100/1,25 without oil'",
                       mainPanel(
                         conditionalPanel("input.val=='None'",
                                          
                                          ((
                                            img(
                                              src = "MObj100keinPräpohneÖl.jpg",
                                              height = 665,
                                              width = 499
                                            )
                                          ))))
    ),
    
    conditionalPanel(
      "input.typeob=='Lens 100/1,25 without oil'",
                       mainPanel(
                         conditionalPanel("input.val=='Microscope scale'",
                                          
                                          ((
                                            img(
                                              src = "MObj100MikroohneÖl.jpg",
                                              height = 665,
                                              width = 499
                                            )
                                          ))))
    ),
    
    conditionalPanel(
      "input.typeob=='Lens 100/1,25 without oil'",
                       mainPanel(
                         conditionalPanel("input.val=='Pork lung'",
                                          
                                          ((
                                            img(
                                              src = "MObj100PräpohneÖl.jpg",
                                              height = 665,
                                              width = 499
                                            )
                                          ))))
    )
    
    
  )
)

server <- function(input, output) {
  
}

shinyApp(ui = ui, server = server)